# Changed by Makefile of cvs.
# DON'T MODIFY THIS FILE OUT OF CVS!

%define version 1.3
%define name rfbdrake
%define subrel 1
%define release %mkrel 1
Summary:	Remote Frame Buffer configuration/launcher tool 
Name:		%{name}
Version:	%{version}
Release:	%{release}
#cvs source
# http://www.linuxmandrake.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
Patch0:		rfbdrake-1.3-fix-crash.patch
License:	GPL
URL:		http://people.mandrakesoft.com/~daouda/mandrake/rfbdrake.html
Group:		System/Configuration/Other
Requires:	drakxtools >= 9.2-0.15mdk, perl-Gtk2 >= 0.26.cvs.2003.07.15.1-5mdk, 
Requires:   vnc, rfb, rdesktop >= 1.2.0
BuildRequires: perl-MDK-Common-devel
BuildArch:  noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
rfbdrake is a tool to setup a client/server remote framebuffer
for virtual network computing. It use vncviewer backend at the
client side and x0rfbserver for the server side.

%prep
%setup -q
%patch0 -p0 -b .fix-crash

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install 

#install lang
%{find_lang} rfbdrake

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}):\ 
needs="x11" \
icon="rfbdrake.png" \
section="Internet/Remote Access" \
title="Virtual Network Connection" \
longtitle="A remote frame buffer tool" \
command="/usr/X11R6/bin/rfbdrake" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Virtual Network Connection
Comment=A remote frame buffer tool
Exec=/usr/X11R6/bin/rfbdrake
Icon=%{name}
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-Internet-RemoteAccess;Network;RemoteAccess; Dialup;
EOF


# symbolic link to drakremote 
ln -sf %{_prefix}/X11R6/bin/rfbdrake  ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/drakremote

#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f rfbdrake.lang
%defattr(-,root,root)
%doc README COPYING
%{_prefix}/X11R6/bin/*
%{_datadir}/rfbdrake
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png




%changelog
* Mon May 21 2007 Olivier Blin <oblin@mandriva.com> 1.3-1.1mdv2007.1
+ Revision: 29160
- fix crash when displaying error messages

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Mon Mar 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3-1mdv2007.1
+ Revision: 141966
- translation snapshot

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2-1mdv2007.1
+ Revision: 106511
- Import rfbdrake

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2-1mdv2007.1
- fix crash now that vnc is nomore in /usr/X11R6 (#27961)

* Sun Sep 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1-1mdv2007.0
- updated translation

* Sat Sep 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-10mdv2007.0
- improved layout
- don't display a banner when embedded
- fix menu group
- XDG menu

* Fri Jun 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-9mdv2007.0
- use our standard Banner widget (thus fixing crash #23129)

* Fri Jan 21 2005 Daouda LO <daouda@mandrakesoft.com> 1.0-8mdk
- main loop fix

* Sat Sep 04 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-7mdk
- fixed combo entry emptiness test

* Thu Sep 02 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-6mdk
- Catch and raise errors when vnc client failed to connect (Tocman)
- cleanups

* Fri Jul 16 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-5mdk
- fix #10253

* Wed Jun 16 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-4mdk
- Embed rfbdrake in mcc (section Online Administration)

* Thu Jun 03 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-3mdk
- save lang and resolution settings (feature)

* Sat May 22 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-2mdk
- Buildrequires (per Oyvind)

* Wed Mar 17 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-1mdk
- manually handle pty when rfbdrake launched from menu
- po updates

